summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2012-07-29 05:38:42 +0000
committerAkinori Hattori <hattya@gentoo.org>2012-07-29 05:38:42 +0000
commitaf259667f7387a483fc713381bcebe1c287c3357 (patch)
treeca22441ebc5818857e27bd3516a89f8f2eb965f4 /eclass/subversion.eclass
parentremove old ebuild (diff)
downloadhistorical-af259667f7387a483fc713381bcebe1c287c3357.tar.gz
historical-af259667f7387a483fc713381bcebe1c287c3357.tar.bz2
historical-af259667f7387a483fc713381bcebe1c287c3357.zip
replace built_with_use by USE deps wrt bug #242100
Diffstat (limited to 'eclass/subversion.eclass')
-rw-r--r--eclass/subversion.eclass15
1 files changed, 4 insertions, 11 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 1d89d95c8488..c25d3eb192a2 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.81 2012/07/29 04:26:10 hattya Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.82 2012/07/29 05:38:42 hattya Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -19,14 +19,15 @@ ESVN="${ECLASS}"
case "${EAPI:-0}" in
0|1)
EXPORT_FUNCTIONS src_unpack pkg_preinst
+ DEPEND="dev-vcs/subversion"
;;
*)
EXPORT_FUNCTIONS src_unpack src_prepare pkg_preinst
+ DEPEND="|| ( dev-vcs/subversion[webdav-neon] dev-vcs/subversion[webdav-serf] )"
;;
esac
-DEPEND="dev-vcs/subversion
- net-misc/rsync"
+DEPEND+=" net-misc/rsync"
# @ECLASS-VARIABLE: ESVN_STORE_DIR
# @DESCRIPTION:
@@ -191,14 +192,6 @@ subversion_fetch() {
local protocol="${repo_uri%%:*}"
case "${protocol}" in
http|https)
- if ! built_with_use -o dev-vcs/subversion webdav-neon webdav-serf; then
- echo
- eerror "In order to emerge this package, you need to"
- eerror "reinstall Subversion with support for WebDAV."
- eerror "Subversion requires either Neon or Serf to support WebDAV."
- echo
- die "${ESVN}: reinstall Subversion with support for WebDAV."
- fi
;;
svn|svn+ssh)
;;